local json = require("json")
local utils = require("utils")
local const = require("const")
local request_method = ngx.var.request_method

utils.check_login()
_, login_token = utils.check_permission("GatewayManage")

local function check_param(name, value)
    
    if name == nil or type(name) ~= "string" then
        local ret = name.." must not be null"
        utils.error_exit(400, ret)
    end
end

if "POST" == request_method then
    local utils_header = require("utils_header")
    local params = utils_header.check_public_body_data()
    local tty = "ls -l /dev/ttyS* | awk '{i = 10; for (; i <= NF; i++){ printf \"%s\\n\",$(i)}}' "
    local pts = "ls -l /dev/pts/* | awk '{i = 10; for (; i <= NF; i++){ printf \"%s\\n\",$(i)}}' "
    local tts = "ls -l /dev/tts/* | awk '{i = 10; for (; i <= NF; i++){ printf \"%s\\n\",$(i)}}' "
    local cmd = tty.." ; "..pts.." ; "..tts
    local handle = io.popen(cmd)
    local result = handle:read("*a")
    handle:close()

    local msg_ret = {}
    msg_ret["List"] = utils.split_str(result, "\n")

    utils.error_exit(200, json.encode(msg_ret)) 

end
utils.error_exit(400, "unsupported request method")

