#!/bin/bash

cd `dirname $0`
LEDA_PYTHON_PATH=${PWD}/../../lib

export PYTHONPATH+=:../../lib
echo "python env path: ${PYTHONPATH}"

echo ""
echo "----------------------------------------------------------"
echo "         start Dimu ... 	                                "
echo "----------------------------------------------------------"
echo ""
    . ../../bin/py3_venv/bin/activate
    if [ $# == 1 ]; then
        coverage run --parallel-mode --include=${LEDA_PYTHON_PATH}/leda_python/*.py \
            --omit=ut_apiBeforeInit.py,${LEDA_PYTHON_PATH}/leda_python/json_coder.py,${LEDA_PYTHON_PATH}/leda_python/refactoring/*py ./ut_apiBeforeInit.py
    else
        python3 ./ut_apiBeforeInit.py

    fi