#!/usr/bin/env python
# -*- coding: utf-8 -*-
import sys
import os
import logging

fmt = "<%(filename)s:%(lineno)s> %(levelname)s - %(message)s"
logging.basicConfig(stream=sys.stdout, level=logging.DEBUG, format=fmt)
os.environ["FUNCTION_ID"] = "driver_id"
os.environ["FUNCTION_NAME"] = "driver_name"
sys.path.append("../")

try:
    import runtime
    import json
    import mock
    import unittest
except Exception as e:
    raise ImportError(e)


class TestRuntime(unittest.TestCase):
    def test_startJob(self):
        startJob()


if __name__ == '__main__':
    unittest.main()
